use std::{error::Error, collections::{HashSet, HashMap}};
use super::converter::Metatile;

#[derive(Debug, PartialEq)]
pub struct PackSettings {
    pub bucket: u16,
    pub slot: [u16; 2]
}

pub type Bucket = Vec<u16>;

pub fn get_buckets( metatiles: &Vec<Metatile> ) -> Result<Vec<Bucket>, Box<dyn Error>> {
    let mut buckets: HashMap<u16, Bucket> = HashMap::new();

    // Prepare buckets. Each bucket is exactly 64 tiles wide, and as tall as the largest
    // height in the bucket.

    todo!()
}